## merkuro 24.08.2

=== debian/changelog ===
merkuro (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 18:19:26 -0500

merkuro (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:04:50 +0200

merkuro (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Update lintian-overrides.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Sep 2024 00:22:52 +0200

kalendar (22.12.3-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix missing comma.

 -- Patrick Franz <deltaone@debian.org>  Tue, 07 May 2024 23:07:57 +0200

kalendar (22.12.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add qml-module-org-kde-kitemmodels as a runtime-dependency (Closes:
    #1070681).

 -- Patrick Franz <deltaone@debian.org>  Tue, 07 May 2024 12:55:49 +0200

kalendar (22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Drop mipsel from the architecture list: kalendar requires QtWebEngine,
    which will be removed soon from that architecture.
  * Re-export upstream signing key without extra signatures.

 -- Pino Toscano <pino@debian.org>  Wed, 19 Jul 2023 07:59:34 +0200

kalendar (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:34:06 +0100

kalendar (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:28:29 +0100

kalendar (22.12.0-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Add missing runtime dependencies.

 -- Patrick Franz <deltaone@debian.org>  Mon, 23 Jan 2023 21:00:03 +0100

kalendar (22.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Limit build to architectures where the Qt 5 WebEngine is available
    as libkf5webengineviewer-dev is a hard dependency now.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Jan 2023 20:40:18 +0100

kalendar (22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:38 +0100

kalendar (22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Update lintian-overrides.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:06:39 +0100

kalendar (22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:55:36 +0100

kalendar (22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:13:25 +0200

kalendar (22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:11:21 +0200

kalendar (22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:47:19 +0200
