## merkuro 24.12.0

=== debian/changelog ===
merkuro (24.12.0-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Scan all qml files for dependencies.

 -- Sandro Knauß <hefee@debian.org>  Tue, 24 Dec 2024 18:31:54 +0100

merkuro (24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:54:26 +0100

merkuro (24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:39:40 +0100

merkuro (24.08.2-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * Use dh_qmldeps.

 -- Patrick Franz <deltaone@debian.org>  Wed, 11 Dec 2024 21:23:27 +0100
