=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                kirigami-addons-dev (>= 1.4.0~),
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicalendar-dev (>= 4:24.12.0~),
-               libakonadicontact-dev (>= 4:24.12.0~),
-               libakonadimime-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicalendar-dev (>= 4:24.12.2~),
+               libakonadicontact-dev (>= 4:24.12.2~),
+               libakonadimime-dev (>= 4:24.12.2~),
                libgpgme-dev,
                libgpgmepp-dev,
-               libkcalendarutils-dev (>= 4:24.12.0~),
-               libkdepim-dev (>= 4:24.12.0~),
+               libkcalendarutils-dev (>= 4:24.12.2~),
+               libkdepim-dev (>= 4:24.12.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -32,17 +32,17 @@
                libkf6qqc2desktopstyle-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.0~),
+               libkidentitymanagement-dev (>= 24.12.2~),
                libkirigami-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:24.12.0~),
-               libkmailtransport-dev (>= 24.12.0~),
-               libkmbox-dev (>= 24.12.0~),
-               libkmime-dev (>= 24.12.0~),
-               libmailcommon-dev (>= 4:24.12.0~),
-               libmimetreeparser-dev (>= 24.12.0~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libkleo-dev (>= 4:24.12.2~),
+               libkmailtransport-dev (>= 24.12.2~),
+               libkmbox-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.2~),
+               libmailcommon-dev (>= 4:24.12.2~),
+               libmimetreeparser-dev (>= 24.12.2~),
+               libpimcommon-dev (>= 4:24.12.2~),
                libplasma-dev,
-               messagelib-dev (>= 4:24.12.0~),
+               messagelib-dev (>= 4:24.12.2~),
                qml6-module-qtlocation,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
