=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                kirigami-addons-dev (>= 1.4.0~),
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicalendar-dev (>= 4:24.12.2~),
-               libakonadicontact-dev (>= 4:24.12.2~),
-               libakonadimime-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicalendar-dev (>= 4:24.12.3~),
+               libakonadicontact-dev (>= 4:24.12.3~),
+               libakonadimime-dev (>= 4:24.12.3~),
                libgpgme-dev,
                libgpgmepp-dev,
-               libkcalendarutils-dev (>= 4:24.12.2~),
-               libkdepim-dev (>= 4:24.12.2~),
+               libkcalendarutils-dev (>= 4:24.12.3~),
+               libkdepim-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -32,17 +32,17 @@
                libkf6qqc2desktopstyle-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.2~),
+               libkidentitymanagement-dev (>= 24.12.3~),
                libkirigami-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:24.12.2~),
-               libkmailtransport-dev (>= 24.12.2~),
-               libkmbox-dev (>= 24.12.2~),
-               libkmime-dev (>= 24.12.2~),
-               libmailcommon-dev (>= 4:24.12.2~),
-               libmimetreeparser-dev (>= 24.12.2~),
-               libpimcommon-dev (>= 4:24.12.2~),
+               libkleo-dev (>= 4:24.12.3~),
+               libkmailtransport-dev (>= 24.12.3~),
+               libkmbox-dev (>= 24.12.3~),
+               libkmime-dev (>= 24.12.3~),
+               libmailcommon-dev (>= 4:24.12.3~),
+               libmimetreeparser-dev (>= 24.12.3~),
+               libpimcommon-dev (>= 4:24.12.3~),
                libplasma-dev,
-               messagelib-dev (>= 4:24.12.2~),
+               messagelib-dev (>= 4:24.12.3~),
                qml6-module-qtlocation,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
@@ -50,7 +50,7 @@
                qt6-svg-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/merkuro
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/merkuro
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/merkuro.git
