## merkuro 25.04.0

=== debian/changelog ===
merkuro (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Update build deps.
  * Update merkuro.qmlfiles and qmldeps.overrides

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:04:11 +0100

merkuro (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:32 -0500
